View Issue Details

IDProjectCategoryView StatusLast Update
00312892.x IDE BugsGame OptionsPublic2019-09-05 17:13
ReporterMark AlexanderAssigned ToSteven Campbell 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroidOSAndroidOS Version
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031289: Game Options: Checkbox to toggle some Google extensions does not actually do this (must remove ext from project)
DescriptionWhen you have the Google Play Services extension installed in your project and you try to (e.g.) disable the Licencing part by un-checking the "Enable Google Licencing" checkbox in the Android Packaging section of the Game Options, it does nothing and the app will still use the extension in-game. The only way to "disable" licencing is to actually remove that extension from the Google Play Services extension in the resource tree.

Accordingly, this same situation applies to the following Game Options checkboxes:
Google Play Services itself
Google Play Licencing
Google Cloud Saving

Expected: We should remove the checkboxes, as it gives the wrong impression of functionality.
Steps To Reproduce1. Create a project which has Google Play Services extension imported into it.
2. Confirm the Google Licensing checkbox is off
3. Run the game for Android
4. Observe the "You have not bought this game" licensing dialog
Repro: 100%
TagsIDE
2.x IDE Found In2.2.3.436
2.x Runtime Found In2.2.3.344
2.x IDE Verified In2.2.4.445
2.x Runtime Verified In2.2.4.354

Activities

Steven Campbell

2019-08-27 13:55

Manager   ~0064665

Primary Issue Fixed in Red IDE/GitHub Pull Request 4834
Git Id: 82441d89ff4b2772ef01a20886c7dbdc067178aa

Dan

2019-08-28 09:18

Adminstrator   ~0064676

IDE 443+

Scott Dunbar

2019-09-05 17:13

Adminstrator   ~0064732

Verified checkboxes have been removed